List documents
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file_name": "<string>",
"file_type": "<string>",
"document_type": "RECEIPT",
"type": "Document",
"presigned_url": {
"presignedUrl": "https://example-bucket.s3.amazonaws.com/example-object?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=FAKEAWSACCESSKEY%2F20240710%2Fus-west-1%2Fs3%2Faws4_request&X-Amz-Date=20240710T000000Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&X-Amz-Signature=FAKESIGNATURE1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef\n",
"fileType": "csv",
"fileName": "receipt.pdf",
"createdAt": "2023-11-07T05:31:56Z",
"type": "S3_Presigned_Url",
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"document_type": "RECEIPT"
}
}
],
"meta": {
"type": "request_metadata",
"pagination": {
"sort_by": "<string>",
"sort_order": "ASC",
"cursor": "<string>",
"has_more": true,
"total_count": 123
}
}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}Documents
List documents
Returns a list of completed documents for the specified business, sorted newest first. Archived documents and documents whose upload has not completed are excluded. Documents can be filtered by document type and file type. Results will be paginated, see Pagination for details.
GET
/
v1
/
businesses
/
{businessId}
/
documents
List documents
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the business to fetch documents for.
Query Parameters
Filter documents by type. The type of document. RECEIPT is for receipts and invoices. UNSTRUCTURED_BOOKKEEPING_CONTEXT is for general bookkeeping context documents. OTHER is for any other document type.
Available options:
RECEIPT, UNSTRUCTURED_BOOKKEEPING_CONTEXT, OTHER Example:
"RECEIPT"
Filter documents by file MIME type (for example application/pdf or image/png).